<?php

// -----------------------------------------------------------------------
// This file is part of aroundme
// 
// Copyright (C) 2003, 2005 Barnraiser
// http://www.barnraiser.org/
// info@barnraiser.org
// 
// This program is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by the
// Free Software Foundation; either version 2, or (at your option) any
// later version.
// 
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
// General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with program; see the file COPYING. If not, write to the Free
// Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
// 02111-1307, USA.
// -----------------------------------------------------------------------

?>

<div id="box_side2">
	<?php echo $lang['section_menu'];?><br />
</div>

<div id="box_side1">

	<?php
	if ($this->user_acs->checkPermission($resource_ids['administration'], $privilege_ids['allow_edit_group'])) { //resourece_id, Priv_id
	if ($page_name_short == 'node_group') {
	    echo $lang['menu_group_list'] . "<br />";
		if (isset($display) && $display == "view_group") {
		?>
		&nbsp;&nbsp;<a href="g_group.php?group_id=<?php echo $group['group_id'];?>"><?php echo $lang['href_go_to_group'];?></a><br />
		&nbsp;&nbsp;<a href="node_group.php?edit_group=1&amp;group_id=<?php echo $group['group_id'];?>"><?php echo $lang['href_edit_group'];?></a><br />
		&nbsp;&nbsp;<a href="node_group.php"><?php echo $lang['href_list'];?></a><br />
		
	<?php
		}
	
	}
	else {
		echo "<a href='node_group.php' class=\"txt_sub_menu\">" . $lang['menu_group_list'] . "</a><br />";
	}}

	if ($this->user_acs->checkPermission($resource_ids['administration'], $privilege_ids['allow_edit_user'])) { //resourece_id, Priv_id
	if ($page_name_short == 'node_user') {
	    echo $lang['menu_user_list'] . "<br />";
	
		if (isset($display)) {
		?>
		&nbsp;&nbsp;<a href="node_user.php"><?php echo $lang['href_list'];?></a><br />
		<?php
		}
		if (isset($display) && $display == "view_user") {
		?>
		&nbsp;&nbsp;<a href="sn_profile.php?user_id=<?php echo $user['user_id'];?>"><?php echo $lang['href_go_to_user'];?></a><br />
		&nbsp;&nbsp;<a href="node_user.php?edit_user=1&amp;user_id=<?php echo $user['user_id'];?>"><?php echo $lang['href_edit_user'];?></a><br />
		<?php } ?>
		
		<?php
		if (!isset($display)) {
		?>
		&nbsp;&nbsp;<a href="node_register_user.php"><?php echo $lang['href_add'];?></a><br />
	<?php 
		}
	}
	else {
		echo "<a href='node_user.php' class=\"txt_sub_menu\">" . $lang['menu_user_list'] . "</a><br />";
	}}

	if ($this->user_acs->checkPermission($resource_ids['newsletter'], $privilege_ids['allow_send'])) { //resourece_id, Priv_id
	if ($page_name_short == 'nlt_edit') {
	    echo $lang['menu_newsletter'] . "<br />";
	}
	else {
		echo "<a href='nlt_edit.php' class=\"txt_sub_menu\">" . $lang['menu_newsletter'] . "</a><br />";
	}}

	if ($page_name_short == 'node_acs') {
	    echo $lang['menu_acs'] . "<br />";
	}
	else {
		echo "<a href='node_acs.php' class=\"txt_sub_menu\">" . $lang['menu_acs'] . "</a><br />";
	}

	if ($page_name_short == 'node_rsp') {
	    echo $lang['menu_rsp'] . "<br />";
	}
	else {
		echo "<a href='node_rsp.php' class=\"txt_sub_menu\">" . $lang['menu_rsp'] . "</a><br />";
	}

	if ($page_name_short == 'node_abuse_reports') {
	    echo $lang['menu_abuse_reports'] . "<br />";
		if (isset($display) && $display == "edit_report") {
		?>
		&nbsp;&nbsp;<a href="node_abuse_reports.php"><?php echo $lang['href_list_reports'];?></a><br />
	<?php
		}
	}
	else {
		echo "<a href='node_abuse_reports.php' class=\"txt_sub_menu\">" . $lang['menu_abuse_reports'] . "</a><br />";
	}
	?>
</div>
			
<div id="box_bottom">
	<table cellpadding="0" cellspacing="0" border="0" width="100%">
		<tr>
			<td align="left">
				<img src="<?php echo $templatePath;?>img/box_bottom_left.png" width="5" height="18" alt="" border="0" /><br />
			</td>
			<td align="left">
				<img src="<?php echo $templatePath;?>img/pixel.png" width="1" height="9" alt="" border="0" /><br />
			</td>
			<td align="right">
				<img src="<?php echo $templatePath;?>img/box_bottom_right.png" width="5" height="18" alt="" border="0" /><br />
			</td>
		</tr>
	</table>
</div>